jQuery(document).ready(function() {

	var file_frame = '';

	jQuery(document).on('click','.dt-cat-open-media', function(e){

		// If the media frame already exists, reopen it.
	    if ( file_frame ) {
	      file_frame.open();
	      return;
	    }	            
	    
	    file_frame = wp.media.frames.file_frame = wp.media({
	    	multiple: false,
	    	title : "Upload / Select Media",
	    	button :{
	    		text : "Insert Image"
	    	}
	    });
	    
	    // When an image is selected, run a callback.
	    file_frame.on( 'select', function() {

	        var attachments = file_frame.state().get('selection').toJSON();

	        var id = attachments[0].id;
	        var thumbnail = attachments[0].sizes.thumbnail.url;

        	jQuery('#category-image-id').val(id);        
        	jQuery("#category-image-wrapper").html('<img src="'+thumbnail+'"/>');
	        
	    });
	    
	    // Finally, open the modal
	    file_frame.open();

	    e.preventDefault();

	});

	jQuery('body').delegate('.ct_tax_media_remove','click', function(){
		jQuery('#category-image-id').val('');
		jQuery('#category-image-wrapper').html('');
	});	

	jQuery(document).ajaxComplete(function(event, xhr, settings) {
		if(settings.data !== undefined) {
			var queryStringArr = settings.data.split('&');
			if( jQuery.inArray('action=add-tag', queryStringArr) !== -1 ){
				var xml = xhr.responseXML;
				$response = jQuery(xml).find('term_id').text();
				if($response != ''){
					jQuery('#category-image-id').val('');
					jQuery('#category-image-wrapper').html('');
					jQuery('#category-enable-album').val('false');
				}
			}
		}
	});		

});