<?php add_action( 'vc_before_init', 'dt_sc_onepage_navigation_title_holder_vc_map' );
function dt_sc_onepage_navigation_title_holder_vc_map() {

	vc_map( array(
		"name" => esc_html__( "Single Portfolio - Onepage Navigation Title Holder", 'dtportfolioaddon' ),
		"base" => "dt_sc_onepage_navigation_title_holder",
		"icon" => "dt_sc_onepage_navigation_title_holder",
		"category" => DT_PFADDON_TITLE,
		"params" => array(

			// Navigation IDs
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Navigation IDs', 'dtportfolioaddon' ),
				'param_name' => 'navigation_ids',
				'description' => esc_html__( 'Enter navigation ids separated by commas.', 'dtportfolioaddon' ),
				'admin_label' => true
			),

			// Navigation Titles
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Navigation Titles', 'dtportfolioaddon' ),
				'param_name' => 'navigation_titles',
				'description' => esc_html__( 'Enter navigation titles separated by commas.', 'dtportfolioaddon' ),
				'admin_label' => true
			),			

			// Type
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Type','dtportfolioaddon'),
				'param_name' => 'type',
				'value' => array( 
							esc_html__('Default','dtportfolioaddon') => '', 
							esc_html__('Boxed','dtportfolioaddon') => 'boxed', 
							esc_html__('Rounded','dtportfolioaddon') => 'rounded', 
						),
				'std' => ''
			),

			// Position
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Position','dtportfolioaddon'),
				'param_name' => 'position',
				'value' => array( 
							esc_html__('Left','dtportfolioaddon') => 'left', 
							esc_html__('Right','dtportfolioaddon') => 'right', 
							esc_html__('Bottom Left','dtportfolioaddon') => 'bottom-left', 
							esc_html__('Bottom Right','dtportfolioaddon') => 'bottom-right', 
						),
				'std' => 'left'
			),	
			
		)
	) );

}
?>