<?php add_action( 'vc_before_init', 'dt_sc_portfolio_custom_details_vc_map' );
function dt_sc_portfolio_custom_details_vc_map() {
	vc_map( array(
		"name" => esc_html__( "Single Portfolio - Custom Details", 'dtportfolioaddon' ),
		"base" => "dt_sc_portfolio_custom_details",
		"icon" => "dt_sc_portfolio_custom_details",
		"category" => DT_PFADDON_TITLE,
		"params" => array(

			// Portfolio ID
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Portfolio ID', 'dtportfolioaddon' ),
				'param_name' => 'portfolio_id',
				'description' => esc_html__( 'Enter portfolio id here. If you are going to use this shortcode in portfolio single page no need to give portfolio id.', 'dtportfolioaddon' ),
				'admin_label' => true
			),

			# Types
      		array(
      			'type' => 'dropdown',
      			'heading' => esc_html__( 'Types', 'dtportfolioaddon' ),
      			'param_name' => 'type',
      			'value' => array( 
      				esc_html__('Default','dtportfolioaddon') => '',		
      				esc_html__('Type 2','dtportfolioaddon') => 'type2',
      				esc_html__('Type 3','dtportfolioaddon') => 'type3',
      			),
      			'description' => esc_html__( 'Select the type of custom details.', 'dtportfolioaddon' ),
      		),

			// Class
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Class', 'dtportfolioaddon' ),
				'param_name' => 'class',
				'description' => esc_html__( 'Add additional class name here.', 'dtportfolioaddon' ),
			),

		)
	) );
}?>