<?php add_action( 'vc_before_init', 'dt_sc_portfolio_navigation_links_vc_map' );
function dt_sc_portfolio_navigation_links_vc_map() {
	vc_map( array(
		"name" => esc_html__( "Single Portfolio - Navigation Links", 'dtportfolioaddon' ),
		"base" => "dt_sc_portfolio_navigation_links",
		"icon" => "dt_sc_portfolio_navigation_links",
		"description" => esc_html__( 'Should be used only inside portfolio single page.', 'dtportfolioaddon' ),
		"category" => DT_PFADDON_TITLE,
		"params" => array(

			// Type
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Type', 'dtportfolioaddon' ),
				'description' => esc_html__( 'Select type of gallery to list.', 'dtportfolioaddon' ),
				'param_name' => 'type',
				'value' => array(
					esc_html__( 'Default', 'dtportfolioaddon' ) => '',
					esc_html__( 'Type 2', 'dtportfolioaddon' ) => 'type2',
					esc_html__( 'Type 3', 'dtportfolioaddon' ) => 'type3',
					esc_html__( 'Type 4', 'dtportfolioaddon' ) => 'type4',
				),
			),

		)
	) );
}?>