<?php add_action( 'vc_before_init', 'dt_sc_portfolio_terms_vc_map' );
function dt_sc_portfolio_terms_vc_map() {
	vc_map( array(
		"name" => esc_html__( "Single Portfolio - Terms", 'dtportfolioaddon' ),
		"base" => "dt_sc_portfolio_terms",
		"icon" => "dt_sc_portfolio_terms",
		"category" => DT_PFADDON_TITLE,
		"params" => array(

			// Portfolio ID
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Portfolio ID', 'dtportfolioaddon' ),
				'param_name' => 'portfolio_id',
				'description' => esc_html__( 'Enter portfolio id here. If you are going to use this shortcode in portfolio single page no need to give portfolio id.', 'dtportfolioaddon' ),
				'admin_label' => true
			),

			// With Icon
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('With Icon','dtportfolioaddon'),
				'param_name' => 'with_icon',
				'value' => array(
					esc_html__('False','dtportfolioaddon') => 'false',
					esc_html__('True','dtportfolioaddon') => 'true',
				),
			),			

			// Term
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Term','dtportfolioaddon'),
				'param_name' => 'term',
				'value' => array(
					esc_html__('Category','dtportfolioaddon') => '',
					esc_html__('Tag','dtportfolioaddon') => 'tag',
				),
			),			

		)
	) );
}?>